## roccat-tools 3.6.1

=== CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED(VERSION 2.8)
IF(POLICY CMP0022)
  CMAKE_POLICY(SET CMP0022 OLD)
ENDIF()

PROJECT(roccat-tools C)

FUNCTION(list_contains list values result)
  SET(${result} FALSE PARENT_SCOPE)
  FOREACH(value ${values})
    LIST(FIND ${list} ${value} ${result})
    IF(NOT ${${result}} EQUAL -1)
      SET(${result} TRUE PARENT_SCOPE)
      BREAK()
    ENDIF()
  ENDFOREACH()
ENDFUNCTION()

IF(NOT CMAKE_BUILD_TYPE)
  SET(CMAKE_BUILD_TYPE "Release"
    CACHE STRING "Choose the type of build, options are: None(CMAKE_CXX_FLAGS or CMAKE_C_FLAGS used) Debug Release RelWithDebInfo MinSizeRel."
    FORCE
  )
ENDIF()

IF(CMAKE_COMPILER_IS_GNUCC)
  # * Force gcc to generate single line error messages (used for eclipse cdt)
  # * Play it save with lots of warning messages
  # * Define GNU source for some extras
  SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fmessage-length=0 -Wall -Wextra -Wno-unused-parameter -Wno-missing-field-initializers -Wno-type-limits -D_GNU_SOURCE")
  SET(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-undefined")
  SET(CMAKE_SHARED_LINKER_FLAGS_RELEASE "${CMAKE_SHARED_LINKER_FLAGS_RELEASE} -Wl,--as-needed")
ENDIF()
SET(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} -DGTK_DISABLE_SINGLE_INCLUDES -DGDK_DISABLE_DEPRECATED -DGTK_DISABLE_DEPRECATED -DGSEAL_ENABLE -DG_ERRORCHECK_MUTEXES -DG_ENABLE_DIAGNOSTIC")
SET(CMAKE_C_FLAGS_RELEASE "${CMAKE_C_FLAGS_RELEASE} -DG_DISABLE_CAST_CHECKS -DG_DISABLE_ASSERT")

SET(TRANSLATION_LANGUAGES de en)

SET(ALL_DEVICES
  arvo 
  isku iskufx
  koneplus
  konepure konepuremilitary konepureoptical
  konextd konextdoptical
  kovaplus lua nyth pyra
  ryosmk ryostkl
  savu tyon
)

IF(${CMAKE_SYSTEM_NAME} STREQUAL "Linux")
  LIST(APPEND ALL_DEVICES kone)
ENDIF()

IF(NOT DEVICES)
  SET(DEVICES ${ALL_DEVICES})
ENDIF()
SET(DEVICES ${DEVICES} CACHE STRING "Create for given devices. Subset of ${ALL_DEVICES}")
MESSAGE(STATUS "compiling for devices ${DEVICES}")

LIST(APPEND CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake_modules")

INCLUDE(X86)
INCLUDE(UDEV)

IF(NOT EVENTHANDLER_PLUGIN_DIR)
  SET(EVENTHANDLER_PLUGIN_DIR ${LIBDIR}/roccat)
ENDIF()
MESSAGE(STATUS "Installing eventhandler plugins in ${EVENTHANDLER_PLUGIN_DIR}")

INCLUDE(TEST_ATTRIBUTE_PACK)
IF(NOT HAVE_WORKING_ATTRIBUTE_PACK)
  MESSAGE(FATAL_ERROR "Compiler does not support attribute pack")
ENDIF()

FIND_PACKAGE(GTK REQUIRED)
FIND_PACKAGE(DBUS REQUIRED)
FIND_PACKAGE(DBUS-GLIB REQUIRED)
FIND_PACKAGE(GMODULE2 REQUIRED)
FIND_PACKAGE(GUDEV REQUIRED)
FIND_PACKAGE(X11 REQUIRED)
FIND_PACKAGE(GAMINGGEAR0 0.11.1 REQUIRED)
FIND_PACKAGE(M REQUIRED)
IF(WITH_LUA)
  FIND_PACKAGE(LUA ${WITH_LUA} EXACT REQUIRED)
ENDIF()

CONFIGURE_FILE(
  "${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
  @ONLY
)

ADD_CUSTOM_TARGET(uninstall
  "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
)

SET(V_MAJOR 3)
SET(V_MINOR 6)
SET(V_PATCH 1)

ENABLE_TESTING()

INCLUDE_DIRECTORIES(
  ${CMAKE_SOURCE_DIR}/include
  ${CMAKE_SOURCE_DIR}/libroccat
  ${CMAKE_SOURCE_DIR}/libroccathelper
  ${CMAKE_SOURCE_DIR}/libroccatwidget
  ${CMAKE_BINARY_DIR}/include
  ${CMAKE_BINARY_DIR}/libroccathelper
  ${DBUS_INCLUDE_DIRS}
  ${DBUS-GLIB_INCLUDE_DIRS}
  ${GTK_INCLUDE_DIRS}
  ${GUDEV_INCLUDE_DIRS}
  ${GAMINGGEAR0_INCLUDE_DIR}
  ${M_INCLUDE_DIR}
)

MACRO(add_dbus_bindings name)
  ADD_CUSTOM_COMMAND(
    OUTPUT
      ${CMAKE_CURRENT_BINARY_DIR}/${name}_dbus_server_glue.h
      ${CMAKE_CURRENT_BINARY_DIR}/${name}_dbus_plain_services.h
    COMMAND dbus-binding-tool --mode=glib-server --prefix=server ${CMAKE_CURRENT_SOURCE_DIR}/${name}_dbus_services.xml --output=${CMAKE_CURRENT_BINARY_DIR}/${name}_dbus_server_glue.h
    COMMAND dbus-binding-tool --mode=glib-client ${CMAKE_CURRENT_SOURCE_DIR}/${name}_dbus_services.xml --output=${CMAKE_CURRENT_BINARY_DIR}/${name}_dbus_plain_services.h
    DEPENDS
      ${CMAKE_CURRENT_SOURCE_DIR}/${name}_dbus_services.xml
  )
  
  ADD_CUSTOM_TARGET(${name}_dbus_bindings ALL
    DEPENDS
      ${CMAKE_CURRENT_BINARY_DIR}/${name}_dbus_server_glue.h
      ${CMAKE_CURRENT_BINARY_DIR}/${name}_dbus_plain_services.h
  )
ENDMACRO()

MACRO(add_compiled_lua name dest)
  ADD_CUSTOM_COMMAND(
    OUTPUT
      ${CMAKE_CURRENT_BINARY_DIR}/${name}.lc
    COMMAND luac -o ${CMAKE_CURRENT_BINARY_DIR}/${name}.lc ${CMAKE_CURRENT_SOURCE_DIR}/${name}.lua
    DEPENDS
      ${CMAKE_CURRENT_SOURCE_DIR}/${name}.lua
  )
  
  STRING(REPLACE "/" "_" _TARGET_NAME ${CMAKE_CURRENT_SOURCE_DIR}_${name}.lc)

  ADD_CUSTOM_TARGET(${_TARGET_NAME} ALL
    DEPENDS
      ${CMAKE_CURRENT_BINARY_DIR}/${name}.lc
  )
  
  INSTALL(FILES
    ${CMAKE_CURRENT_SOURCE_DIR}/${name}.lua
    ${CMAKE_CURRENT_BINARY_DIR}/${name}.lc
    DESTINATION ${dest}
    PERMISSIONS OWNER_WRITE OWNER_READ GROUP_READ WORLD_READ
  )
ENDMACRO()

ADD_SUBDIRECTORY(include)
ADD_SUBDIRECTORY(icons)
ADD_SUBDIRECTORY(sounds)
ADD_SUBDIRECTORY(libroccat)
ADD_SUBDIRECTORY(libroccatwidget)
ADD_SUBDIRECTORY(udev)
ADD_SUBDIRECTORY(libroccathelper)
ADD_SUBDIRECTORY(roccateventhandler)
ADD_SUBDIRECTORY(po)

FOREACH(device ${ALL_DEVICES})
  ADD_SUBDIRECTORY(${device})
ENDFOREACH()

=== isku/CMakeLists.txt ===
list_contains(DEVICES "isku;iskufx" contains)
IF(contains)
  add_dbus_bindings(isku)

  INCLUDE_DIRECTORIES(
    ${CMAKE_SOURCE_DIR}/isku/libroccatisku
    ${CMAKE_BINARY_DIR}/isku
  )

  ADD_SUBDIRECTORY(libroccatisku)
  ADD_SUBDIRECTORY(libroccatiskuwidget)
ENDIF()

list_contains(DEVICES isku contains)
IF(contains)
  ADD_SUBDIRECTORY(roccatiskuconfig)
  ADD_SUBDIRECTORY(roccatiskucontrol)
  ADD_SUBDIRECTORY(libiskueventhandler)
ENDIF()

=== konextdoptical/CMakeLists.txt ===
list_contains(DEVICES konextdoptical contains)
IF(contains)
  add_dbus_bindings(konextdoptical)

  INCLUDE_DIRECTORIES(
    ${CMAKE_SOURCE_DIR}/koneplus/libroccatkoneplus
    ${CMAKE_SOURCE_DIR}/konepure/libroccatkonepure
    ${CMAKE_SOURCE_DIR}/konextd/libroccatkonextd
    ${CMAKE_SOURCE_DIR}/konextdoptical/libroccatkonextdoptical
    ${CMAKE_SOURCE_DIR}/konepuremilitary/libroccatkonepuremilitary
    ${CMAKE_BINARY_DIR}/konextdoptical
  )

  ADD_SUBDIRECTORY(libroccatkonextdoptical)

  ADD_SUBDIRECTORY(roccatkonextdopticalconfig)
  ADD_SUBDIRECTORY(roccatkonextdopticalcontrol)
  ADD_SUBDIRECTORY(libkonextdopticaleventhandler)
  ADD_SUBDIRECTORY(libkonextdopticalgfxplugin)
ENDIF()

=== libroccat/CMakeLists.txt ===
INCLUDE_DIRECTORIES(
  ${CMAKE_SOURCE_DIR}/arvo/libroccatarvo
  ${CMAKE_SOURCE_DIR}/isku/libroccatisku
  ${CMAKE_SOURCE_DIR}/iskufx/libroccatiskufx
  ${CMAKE_SOURCE_DIR}/kone/libroccatkone
  ${CMAKE_SOURCE_DIR}/koneplus/libroccatkoneplus
  ${CMAKE_SOURCE_DIR}/konepure/libroccatkonepure
  ${CMAKE_SOURCE_DIR}/konepuremilitary/libroccatkonepuremilitary
  ${CMAKE_SOURCE_DIR}/konepureoptical/libroccatkonepureoptical
  ${CMAKE_SOURCE_DIR}/konextd/libroccatkonextd
  ${CMAKE_SOURCE_DIR}/konextdoptical/libroccatkonextdoptical
  ${CMAKE_SOURCE_DIR}/kovaplus/libroccatkovaplus
  ${CMAKE_SOURCE_DIR}/lua/libroccatlua
  ${CMAKE_SOURCE_DIR}/nyth/libroccatnyth
  ${CMAKE_SOURCE_DIR}/pyra/libroccatpyra
  ${CMAKE_SOURCE_DIR}/ryosmk/libroccatryosmk
  ${CMAKE_SOURCE_DIR}/ryostkl/libroccatryostkl
  ${CMAKE_SOURCE_DIR}/savu/libroccatsavu
  ${CMAKE_SOURCE_DIR}/tyon/libroccattyon
)

SET(SOURCES
  roccat_config.c
  roccat_control.c
  roccat_device.c
  roccat_device_scanner_interface.c
  roccat_eventhandler_host.c
  roccat_eventhandler_plugin.c
  roccat_firmware.c
  roccat_gfx.c
  roccat_helper.c
  roccat_key_file.c
  roccat_notification_cpi.c
  roccat_notification_live_recording.c
  roccat_notification_profile.c
  roccat_notification_sensitivity.c
  roccat_notification_timer.c
  roccat_notificator.c
  roccat_orig_timer.c
  roccat_process_helper.c
  roccat_secure.c
  roccat_talk.c
  roccat_talkfx.c
  roccat_timer.c
  roccat_timers.c
)

SET(LIBRARIES
  libroccathelper
  ${DBUS_LIBRARIES}
  ${GAMINGGEAR0_LIBRARY}
  ${GLIB2_LIBRARIES}
)

IF(${CMAKE_SYSTEM_NAME} STREQUAL "Linux")
  LIST(APPEND SOURCES
    roccat_device_hidraw.c
    roccat_device_sysfs.c
    roccat_device_scanner_udev.c
  )
  LIST(APPEND LIBRARIES ${GUDEV_LIBRARIES})
ENDIF()

ADD_LIBRARY(libroccat SHARED ${SOURCES})

TARGET_LINK_LIBRARIES(libroccat ${LIBRARIES})

TARGET_LINK_LIBRARIES(libroccat LINK_INTERFACE_LIBRARIES)

SET_TARGET_PROPERTIES(libroccat
  PROPERTIES
    VERSION ${V_MAJOR}.${V_MINOR}.${V_PATCH}
    SOVERSION ${V_MAJOR}
    OUTPUT_NAME roccat
    COMPILE_FLAGS "-DG_LOG_DOMAIN=\\\"Roccat\\\""
)

INSTALL(TARGETS libroccat DESTINATION ${LIBDIR})

=== libroccatwidget/CMakeLists.txt ===
INCLUDE_DIRECTORIES(
  ${CMAKE_SOURCE_DIR}/isku/libroccatisku
  ${CMAKE_SOURCE_DIR}/iskufx/libroccatiskufx
  ${CMAKE_SOURCE_DIR}/koneplus/libroccatkoneplus
  ${CMAKE_SOURCE_DIR}/konepure/libroccatkonepure
  ${CMAKE_SOURCE_DIR}/konepuremilitary/libroccatkonepuremilitary
  ${CMAKE_SOURCE_DIR}/konepureoptical/libroccatkonepureoptical
  ${CMAKE_SOURCE_DIR}/konextd/libroccatkonextd
  ${CMAKE_SOURCE_DIR}/konextdoptical/libroccatkonextdoptical
  ${CMAKE_SOURCE_DIR}/ryosmk/libroccatryosmk
  ${CMAKE_SOURCE_DIR}/ryostkl/libroccatryostkl
  ${CMAKE_SOURCE_DIR}/nyth/libroccatnyth
  ${CMAKE_SOURCE_DIR}/tyon/libroccattyon
)

ADD_LIBRARY(libroccatwidget SHARED
  roccat_about_dialog.c
  roccat_actual_profile_selector.c
  roccat_color_button.c
  roccat_color_palette_selector.c
  roccat_color_selection_button.c
  roccat_color_selection_dialog.c
  roccat_config_window.c
  roccat_continue_dialog.c
  roccat_cpi_fixed_selector.c
  roccat_cpi_selector.c
  roccat_default_profile_combo_box.c
  roccat_file_entry.c
  roccat_gamefile_selector.c
  roccat_handedness_selector.c
  roccat_info_dialog.c
  roccat_key_combo_box.c
  roccat_key_dialog.c
  roccat_key_mask_selector.c
  roccat_light_selector.c
  roccat_multiwidget.c
  roccat_notification_type_combo_box.c
  roccat_polling_rate_frame.c
  roccat_polling_rate_selector.c
  roccat_profile_page.c
  roccat_save_dialog.c
  roccat_sensitivity_frame.c
  roccat_sensor_register_dialog.c
  roccat_shortcut_dialog.c
  roccat_single_cpi_selector.c
  roccat_talk_target_combo_box.c
  roccat_talk_target_dialog.c
  roccat_talkfx_selector.c
  roccat_timer_combo_box.c
  roccat_timer_dialog.c
  roccat_timer_editor_dialog.c
  roccat_timer_editor_dialog_menu_bar.c
  roccat_timer_list_store.c
  roccat_timer_tree_view.c
  roccat_tooltips.c
  roccat_update_assistant.c
  roccat_volume_scale.c
  roccat_warning_dialog.c
)

TARGET_LINK_LIBRARIES(libroccatwidget
  libroccat
  libroccathelper
  ${GAMINGGEAR0_LIBRARY}
  ${GAMINGGEAR0_WIDGET_LIBRARY}
  ${GTK_LIBRARIES}
  ${M_LIBRARY}
)

TARGET_LINK_LIBRARIES(libroccatwidget LINK_INTERFACE_LIBRARIES)

SET_TARGET_PROPERTIES(libroccatwidget
  PROPERTIES
    VERSION ${V_MAJOR}.${V_MINOR}.${V_PATCH}
    SOVERSION ${V_MAJOR}
    OUTPUT_NAME roccatwidget
    COMPILE_FLAGS "-DG_LOG_DOMAIN=\\\"RoccatWidget\\\""
)

INSTALL(TARGETS libroccatwidget DESTINATION ${LIBDIR})

=== ryosmk/CMakeLists.txt ===
list_contains(DEVICES "ryosmk;tyostkl" contains)
IF(contains)
  add_dbus_bindings(ryosmk)

  INCLUDE_DIRECTORIES(
    ${CMAKE_SOURCE_DIR}/ryosmk/libroccatryosmk
    ${CMAKE_BINARY_DIR}/ryosmk
  )

  ADD_SUBDIRECTORY(libroccatryosmk)
  ADD_SUBDIRECTORY(libroccatryosmkwidget)
ENDIF()

list_contains(DEVICES ryosmk contains)
IF(contains)
  ADD_SUBDIRECTORY(roccatryosmkconfig)
  ADD_SUBDIRECTORY(roccatryosmkcontrol)
  ADD_SUBDIRECTORY(libryosmkeventhandler)
  
  IF(LUA_FOUND)
    ADD_SUBDIRECTORY(ripple_modules)
  ENDIF()
ENDIF()

=== ryostkl/CMakeLists.txt ===
list_contains(DEVICES ryostkl contains)
IF(contains)
  add_dbus_bindings(ryostkl)

  INCLUDE_DIRECTORIES(
    ${CMAKE_SOURCE_DIR}/ryosmk/libroccatryosmk
    ${CMAKE_SOURCE_DIR}/ryostkl/libroccatryostkl
    ${CMAKE_BINARY_DIR}/ryostkl
  )

  ADD_SUBDIRECTORY(libroccatryostkl)

  ADD_SUBDIRECTORY(roccatryostklconfig)
  ADD_SUBDIRECTORY(roccatryostklcontrol)
  ADD_SUBDIRECTORY(libryostkleventhandler)

  IF(LUA_FOUND)
    ADD_SUBDIRECTORY(ripple_modules)
  ENDIF()
ENDIF()

=== sounds/CMakeLists.txt ===
# Soundfile conversions:
# oggenc --resample 44100 -q5 *.wav
# mmv "*.ogg" "#1.oga"

INSTALL(DIRECTORY cpi live_recording profile sensitivity timer
  DESTINATION share/roccat/sounds
)

=== arvo/libroccatarvo/CMakeLists.txt ===
ADD_LIBRARY(libroccatarvo SHARED
  arvo.c
  arvo_button.c
  arvo_config.c
  arvo_file.c
  arvo_info.c
  arvo_play.c
  arvo_rkp_accessors.c
  arvo_rkp_button_info.c
  arvo_rkp_file.c
  arvo_rkp_high_level.c
  arvo_dbus.c
)

ADD_DEPENDENCIES(libroccatarvo
  generated_headers
  arvo_dbus_bindings
)

TARGET_LINK_LIBRARIES(libroccatarvo
  libroccat
  libroccathelper
  ${DBUS-GLIB_LIBRARIES}
  ${GAMINGGEAR0_LIBRARY}
  ${GLIB2_LIBRARIES}
)

TARGET_LINK_LIBRARIES(libroccatarvo LINK_INTERFACE_LIBRARIES)

SET_TARGET_PROPERTIES(libroccatarvo
  PROPERTIES
    VERSION ${V_MAJOR}.${V_MINOR}.${V_PATCH}
    SOVERSION ${V_MAJOR}
    OUTPUT_NAME roccatarvo
    COMPILE_FLAGS "-DG_LOG_DOMAIN=\\\"Arvo\\\""
)

INSTALL(TARGETS libroccatarvo DESTINATION ${LIBDIR})

=== isku/libroccatisku/CMakeLists.txt ===
ADD_LIBRARY(libroccatisku SHARED
  isku.c
  isku_actual_profile.c
  isku_config.c
  isku_info.c
  isku_key_mask.c
  isku_keys_capslock.c
  isku_keys_easyzone.c
  isku_keys_function.c
  isku_keys_macro.c
  isku_keys_media.c
  isku_keys_thumbster.c
  isku_last_set.c
  isku_light.c
  isku_macro.c
  isku_play.c
  isku_reset.c
  isku_rkp_accessors.c
  isku_rkp_file.c
  isku_rkp_high_level.c
  isku_rkp_macro_key_info.c
  isku_talk.c
  isku_dbus_services.c
)

ADD_DEPENDENCIES(libroccatisku
  generated_headers
  isku_dbus_bindings
)

TARGET_LINK_LIBRARIES(libroccatisku
  libroccat
  libroccathelper
  ${DBUS-GLIB_LIBRARIES}
  ${GAMINGGEAR0_LIBRARY}
  ${GLIB2_LIBRARIES}
)

TARGET_LINK_LIBRARIES(libroccatisku LINK_INTERFACE_LIBRARIES)

SET_TARGET_PROPERTIES(libroccatisku
  PROPERTIES
    VERSION ${V_MAJOR}.${V_MINOR}.${V_PATCH}
    SOVERSION ${V_MAJOR}
    OUTPUT_NAME roccatisku
    COMPILE_FLAGS "-DG_LOG_DOMAIN=\\\"Isku\\\""
)

INSTALL(TARGETS libroccatisku DESTINATION ${LIBDIR})

=== isku/libroccatiskuwidget/CMakeLists.txt ===
ADD_LIBRARY(libroccatiskuwidget SHARED
  isku_capslock_frame.c
  isku_easyzone_frame.c
  isku_function_frame.c
  isku_key_combo_box.c
  isku_key_mask_selector.c
  isku_macro_frame.c
  isku_media_frame.c
  isku_thumbster_frame.c
)

TARGET_LINK_LIBRARIES(libroccatiskuwidget
  libroccat
  libroccatwidget
  libroccatisku
  ${GTK_LIBRARIES}
  ${GAMINGGEAR0_LIBRARY}
  ${GAMINGGEAR0_WIDGET_LIBRARY}
)

TARGET_LINK_LIBRARIES(libroccatiskuwidget LINK_INTERFACE_LIBRARIES)

SET_TARGET_PROPERTIES(libroccatiskuwidget
  PROPERTIES
    VERSION ${V_MAJOR}.${V_MINOR}.${V_PATCH}
    SOVERSION ${V_MAJOR}
    OUTPUT_NAME roccatiskuwidget
    COMPILE_FLAGS "-DG_LOG_DOMAIN=\\\"IskuWidget\\\""
)

INSTALL(TARGETS libroccatiskuwidget DESTINATION ${LIBDIR})

=== iskufx/libroccatiskufx/CMakeLists.txt ===
ADD_LIBRARY(libroccatiskufx SHARED
  iskufx.c
  iskufx_config.c
  iskufx_dbus_services.c
  iskufx_gfx.c
  iskufx_light.c
  iskufx_rkp_accessors.c
  iskufx_rkp_file.c
  iskufx_rkp_high_level.c
  iskufx_rkp_light_info.c
  iskufx_talkfx.c
)

ADD_DEPENDENCIES(libroccatiskufx
  generated_headers
  iskufx_dbus_bindings
)

TARGET_LINK_LIBRARIES(libroccatiskufx
  libroccatisku
  libroccat
  libroccathelper
  ${DBUS-GLIB_LIBRARIES}
  ${GAMINGGEAR0_LIBRARY}
  ${GLIB2_LIBRARIES}
)

TARGET_LINK_LIBRARIES(libroccatiskufx LINK_INTERFACE_LIBRARIES)

SET_TARGET_PROPERTIES(libroccatiskufx
  PROPERTIES
    VERSION ${V_MAJOR}.${V_MINOR}.${V_PATCH}
    SOVERSION ${V_MAJOR}
    OUTPUT_NAME roccatiskufx
    COMPILE_FLAGS "-DG_LOG_DOMAIN=\\\"IskuFX\\\""
)

INSTALL(TARGETS libroccatiskufx DESTINATION ${LIBDIR})

=== debian/changelog ===
roccat-tools (3.6.1-1mx150+1) mx; urgency=medium

  * Repackaged for MX-15

 -- Timothy E. Harris <maintainer@mepiscommunity.org>  Sat, 09 Jan 2016 17:10:14 -0500

roccat-tools (3.6.1+20150827-1) experimental; urgency=medium

  * new version (import upstream changes)
  * Release notes for 3.6.0/3.6.1 from Stefan Achatz:
    - Biggest addition is near-complete support for Nyth. 
      Missing atm: rmp im-/export, button set editor, firmware updater and
      variable profile number.
    - Also brings firmware updater for RyosTKL but removes it for Tyon.

 -- Jürgen Tretthahn <orson@orson.at>  Thu, 27 Aug 2015 15:09:27 +0200

roccat-tools (3.5.0+20150629-1) experimental; urgency=medium

  * new version (import upstream changes)
  * debian/patches:
    - Remove 012_fix_FTBFS_in_all_eventhandler_libs.patch (fixed by upstream)
  * Release notes for 3.5.0 from Stefan Achatz:
    - Software shortcuts are now kept alive as long the button is pressed.
    - Small fixes.

 -- Jürgen Tretthahn <orson@orson.at>  Mon, 29 Jun 2015 16:43:16 +0200

roccat-tools (3.4.0+20150603-1) experimental; urgency=medium

  * debian/rules: Fix configuration options, changed from using ${prefix}
    to fixed "/usr" variables... cmake didn't replace the "${prefix}" with
    /usr on its own...
    Thanx to Volker Klasen <reklov@unitedklasens.de> for finding the
    problem (roccateventhandler not doing its job) and the reason it didn't
    work.

 -- Jürgen Tretthahn <orson@orson.at>  Wed, 03 Jun 2015 14:59:01 +0200

roccat-tools (3.4.0+20150526-1) experimental; urgency=medium

  * new version (import upstream changes)
  * debian/control:
    - Update Depends of libroccat3: libgaminggear0 (>= 0.9.0)
  * debian/patches:
    - Add: 012_fix_FTBFS_in_all_eventhandler_libs.patch
  * Release notes for 3.4.0 from Stefan Achatz:
    - Some (unmentioned) smaller things.
    - The uinput event handling for software execution devices changed
      (Arvo, Kone, Kova[+] and Pyra). Events are not fed into the devices
      evdevs where apropriate, but into a single uinput devices.
      Positive effects are not to be expected, but it's a test run which
      leads to future uhid support that might solve raw input issues.
    - KoneXTD and KonePure range devices got support for custom colors.

 -- Jürgen Tretthahn <orson@orson.at>  Tue, 26 May 2015 17:32:25 +0200

roccat-tools (3.3.0+20150504-1) experimental; urgency=medium

  * debian/control:
    - Add explicit Depends to libroccat3: libgaminggear0 (>= 0.8.0)

 -- Jürgen Tretthahn <orson@orson.at>  Mon, 04 May 2015 17:19:11 +0200

roccat-tools (3.3.0+20150421-1) experimental; urgency=medium

  * new version (import upstream changes)
  * debian/control:
    - Add new Build-Depends: libsqlite3-dev, gettext
  * debian/roccat-common.install:
     - Add usr/share/locale
  * Release notes for 3.3.0 from Stefan Achatz:
    - Main addition is i18n support with German translation.
    - Also the Ryos range configuration GUI's support keyboard layouts
      (to be set in edit/preferences).
    - The Ryos ripple scripting engine now supports Lua 5.2, the meaning
      of the WITH_LUA configuration options has changed from a boolean
      to the exact version you want to link against.
    - New supported device: KonePureBlack which seems to be a a rare
      KonePureMilitary variant sold in bulk packaging.
      Not even I have seen one.
    - Bugfixes.

 -- Jürgen Tretthahn <orson@orson.at>  Tue, 21 Apr 2015 15:16:43 +0200

roccat-tools (3.2.0+20150312-2) experimental; urgency=medium

  * debian/patches:
    - Add 011_ryos_FTBFS_3.2.0.patch

 -- Jürgen Tretthahn <orson@orson.at>  Thu, 12 Mar 2015 23:49:25 +0100

roccat-tools (3.2.0+20150312-1) experimental; urgency=medium

  * new version (import upstream changes)

 -- Jürgen Tretthahn <orson@orson.at>  Thu, 12 Mar 2015 18:17:01 +0100

roccat-tools (3.1.0+20150226-1) experimental; urgency=medium

  * debian/control:
    - Add Breaks/Conflicts against libroccat2

 -- Jürgen Tretthahn <orson@orson.at>  Thu, 26 Feb 2015 02:41:54 +0100

roccat-tools (3.1.0+20150225-1) experimental; urgency=medium

  * new version (import upstream changes)
  * debian/control:
    - add to BuildDeps:
      libdbus-1-dev, liblua5.1-dev | liblua5.2-dev, lua5.1 | lua5.2
    - removed from BuildDeps:
      python-dev
  * Release notes for 3.1.0 from Stefan Achatz:
    - Added long awaited support for Ryos TKL Pro and some minor fixes.
  * Important release notes for 3.0.0 from Stefan Achatz:
    - I threw away Python as the scripting engine for RyosMKPro ripple 
      effects. Lua is the better replacement and has to be explicitly
      compiled with the WITH_LUA configuration option and activated
      with a eventhandler configuration option.

 -- Jürgen Tretthahn <orson@orson.at>  Wed, 25 Feb 2015 22:30:38 +0100

roccat-tools (2.4.0+20150126-1) experimental; urgency=medium

  * new version (import upstream changes)
  * debian/patches:
    - remove 010_ryos_store_profile_in_device_fix_for_2.3.0.patch
      (Fixed in upstream source)
  * Release notes for 2.4.0 from Stefan Achatz:
    - This is the Tyon finalizing release.
      Along with firmware 1.29 Talk works as expected and macros are fully
      working up to 480 actions.
      Along with minor fixes done this device is fully supported now.

 -- Jürgen Tretthahn <orson@orson.at>  Mon, 26 Jan 2015 16:23:31 +0100

roccat-tools (2.3.0+20150123-1) experimental; urgency=medium

  * debian/patches:
    - Add ryos can't store profile in device fix
      Patch written by Stefan Achatz

 -- Jürgen Tretthahn <orson@orson.at>  Fri, 23 Jan 2015 12:31:25 +0100

roccat-tools (2.3.0+20150114-1) experimental; urgency=medium

  * new version (import upstream changes)
  * Release notes for 2.3.0 from Stefan Achatz:
    - This one has a longer list of fixes and smaller additions.

 -- Jürgen Tretthahn <orson@orson.at>  Wed, 14 Jan 2015 10:17:37 +0100

roccat-tools (2.2.0+20141007-1) experimental; urgency=medium



=== debian/control ===
Source: roccat-tools
Section: libs
Priority: optional
Maintainer: Jürgen Tretthahn <orson@orson.at>
Build-Depends: debhelper (>= 8.1.3), cdbs (>= 0.4.93),
 autotools-dev, automake (>> 1.9), autoconf (>> 2.60), cmake,
 libgtk2.0-dev, libgudev-1.0-dev, libnotify-dev (>= 0.7), libcanberra-dev, libusb-1.0-0-dev | libusb-dev,
 libdbus-1-dev, libdbus-glib-1-dev, liblua5.1-dev | liblua5.2-dev, lua5.1 | lua5.2, libx11-dev,
 gettext, libsqlite3-dev,
 libgaminggear-dev (>= 0.11.1)
Standards-Version: 3.9.2

Package: libroccat3
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, libgaminggear0 (>= 0.11.1)
Replaces: libkoneplus0 (<< 0.10.0)
Conflicts: libroccat0, libroccat1, libroccat2
Breaks: libroccat0, libroccat1, libroccat2
Recommends: kmod-roccat-dkms
Description: Roccat library
 Library package
 .
 This package contains the roccat libraries.

Package: libroccat3-dbg
Section: debug
Architecture: any
Priority: extra
Multi-Arch: same
Depends: libroccat3 (= ${binary:Version})
Replaces: libkoneplus0 (<< 0.10.0)
Recommends:
Description: Roccat library - debug symbols
 Library package
 .
 This package contains the debug symbols for roccat libraries.

Package: libroccat-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libroccat3 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Replaces: libkoneplus-dev (<< 0.10.0)
Recommends:
Description: Roccat development library/headers
 Development package
 .
 This package contains the roccat development libraries/headers.

Package: roccat-common
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libroccat0
Breaks: libroccat0
Recommends:
Description: Roccat common files
 Shared files for roccat packages
 .
 This package contains the roccat data files.

Package: roccat-gui
Architecture: any
Depends: libroccat3 (= ${binary:Version}), roccat-common (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Recommends: roccat-utils
Breaks: roccat-common (<= 0.11.0+20120126-2)
Description: Roccat GUI
 The Roccat GUI for following Roccat devices:
 * Arvo
 * Isku
 * IskuFX
 * Kone
 * Kone[+]
 * KonePure
 * KonePureOptical
 * KonePureMilitary
 * KonePureBlack
 * KoneXTD
 * KoneXTDOptical
 * Kova[+]
 * Lua
 * Pyra
 * Ryos MK
 * Ryos TKL
 * Savu
 * Tyon
 * Nyth
 .
 This package contains the roccat-gui binary files.

Package: roccat-gui-dbg
Section: debug
Architecture: any
Priority: extra
Multi-Arch: same
Depends: roccat-gui (= ${binary:Version})
Replaces: libkoneplus0 (<< 0.10.0)
Recommends:
Description: Roccat GUI - debug symbols
 Debug package
 .
 This package contains the debug symbols for roccat GUI.

Package: roccat-utils
Architecture: any
Depends: libroccat3 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Replaces: roccat-koneplus-utils
Recommends: roccat-gui
Description: Roccat device utils
 Optional roccat*control utilities for some Roccat devices:
 * Arvo
 * Isku
 * IskuFX
 * Kone
 * Kone+
 * KonePure
 * KonePureMilitary
 * KonePureOptical
 * KoneXTD
 * KoneXTDOptical
 * Kova+
 * Lua
 * Pyra
 * Ryos MK
 * Ryos TKL
 * Savu
 * Tyon
 * Nyth
 .
 This package contains the runtime binaries for the utils.

Package: roccat-utils-dbg
Section: debug
Architecture: any
Priority: extra
Multi-Arch: same
Depends: roccat-utils (= ${binary:Version})
Recommends:
Description: Roccat device utils - debug symbols
 Debug package
 .
 This package contains the debug symbols for roccat utils.

=== debian/rules ===
#!/usr/bin/make -f


include /usr/share/cdbs/1/rules/debhelper.mk
CFLAGS := -g -O0 -fstack-protector --param=ssp-buffer-size=4 -Wformat -Wformat-security -Werror=format-security -Wall
include /usr/share/cdbs/1/class/cmake.mk

#CFLAGS+= -DHAVE_NOTIFY_0_7
#DEB_OPT_FLAG := "-O0"
#DEB_CMAKE_NORMAL_ARGS += -DCMAKE_BUILD_TYPE=Debug
#CMAKE_C_FLAGS="-g -O0 -fstack-protector --param=ssp-buffer-size=4 -Wformat -Wformat-security -Werror=format-security -Wall"
#CMAKE_CXX_FLAGS="-g -O0 -fstack-protector --param=ssp-buffer-size=4 -Wformat -Wformat-security -Werror=format-security -Wall"
#DEB_CMAKE_EXTRA_FLAGS += -DCMAKE_BUILD_TYPE=None -DWITH_LUA=1
#ROCCAT_MAIN_VERSION := $(shell dpkg-parsechangelog | grep "^Version: " | sed "s/^Version: \+\([[:digit:]]\+\)\..*$/\1/g")
#DEB_CMAKE_EXTRA_FLAGS += -DWITH_LUA=TRUE
ROCCAT_MAIN_VERSION := 3
DEB_CMAKE_EXTRA_FLAGS += -DCMAKE_BUILD_TYPE=None
DEB_CMAKE_EXTRA_FLAGS += -DLIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH)
DEB_CMAKE_EXTRA_FLAGS += -DWITH_LUA=5.1
DEB_CMAKE_EXTRA_FLAGS += -DEVENTHANDLER_PLUGIN_DIR=/usr/lib/$(DEB_HOST_MULTIARCH)
#DEB_CMAKE_EXTRA_FLAGS += -DLIBDIR=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)
#DEB_CMAKE_EXTRA_FLAGS += -DEVENTHANDLER_PLUGIN_DIR=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)
#DEB_CMAKE_EXTRA_FLAGS += -DGAMINGGEAR0_FX_PLUGIN_DIR=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
DEB_CONFIGURE_EXTRA_FLAGS += --libdir=/usr/lib/$(DEB_HOST_MULTIARCH)
#DEB_CONFIGURE_EXTRA_FLAGS += --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)
#DEB_CMAKE_EXTRA_FLAGS += -DGTK2_GDKCONFIG_INCLUDE_DIR="/usr/include/gtk-2.0"
#DEB_CMAKE_EXTRA_FLAGS += -DDEVICES="koneplus"
DEB_DH_INSTALL_ARGS += --fail-missing
#DEB_DH_INSTALL_ARGS += --list-missing
#LD_LIBRARY_PATH += "$(CURDIR)/debian/libroccat0/usr/lib/$(DEB_HOST_MULTIARCH)/roccat"

common-configure-arch::
	sed -e "s/#MULTIARCH#/$(DEB_HOST_MULTIARCH)/g" \
	  debian/libroccat$(ROCCAT_MAIN_VERSION).install.in > debian/libroccat$(ROCCAT_MAIN_VERSION).install
	sed -e "s/#MULTIARCH#/$(DEB_HOST_MULTIARCH)/g" \
	  debian/libroccat-dev.install.in > debian/libroccat-dev.install
	#sed -e "s/#MULTIARCH#/$(DEB_HOST_MULTIARCH)/g" \
	#  debian/libkoneplus0.install.in > debian/libkoneplus0.install
	#sed -e "s/#MULTIARCH#/$(DEB_HOST_MULTIARCH)/g" \
	#  debian/libkoneplus-dev.install.in > debian/libkoneplus-dev.install

clean::
	rm -f debian/libroccat2.install
	rm -f debian/libroccat-dev.install

=== debian/watch ===
version=3
# qa.debian.org runs a redirector which allows a simpler form of URL
# for SourceForge based projects. The format below will automatically
# be rewritten to use the redirector.
http://sf.net/roccat/roccat-tools-(.+)\.(?:zip|tgz|tbz2|txz|tar\.gz|tar\.bz2|tar\.xz)

## roccat-tools 5.9.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,4 @@
-CMAKE_MINIMUM_REQUIRED(VERSION 2.8)
-IF(POLICY CMP0022)
-  CMAKE_POLICY(SET CMP0022 OLD)
-ENDIF()
+CMAKE_MINIMUM_REQUIRED(VERSION 2.8.12)
 
 PROJECT(roccat-tools C)
 
@@ -37,14 +34,16 @@
 SET(TRANSLATION_LANGUAGES de en)
 
 SET(ALL_DEVICES
-  arvo 
+  arvo
   isku iskufx
+  kiro
   koneplus
   konepure konepuremilitary konepureoptical
   konextd konextdoptical
-  kovaplus lua nyth pyra
-  ryosmk ryostkl
-  savu tyon
+  kovaplus kova2016
+  lua nyth pyra
+  ryosmk ryosmkfx ryostkl
+  savu skeltr sova suora tyon
 )
 
 IF(${CMAKE_SYSTEM_NAME} STREQUAL "Linux")
@@ -72,15 +71,18 @@
   MESSAGE(FATAL_ERROR "Compiler does not support attribute pack")
 ENDIF()
 
+FIND_PACKAGE(GTHREAD2)
 FIND_PACKAGE(GTK REQUIRED)
 FIND_PACKAGE(DBUS REQUIRED)
 FIND_PACKAGE(DBUS-GLIB REQUIRED)
 FIND_PACKAGE(GMODULE2 REQUIRED)
 FIND_PACKAGE(GUDEV REQUIRED)
 FIND_PACKAGE(X11 REQUIRED)
-FIND_PACKAGE(GAMINGGEAR0 0.11.1 REQUIRED)
+FIND_PACKAGE(GAMINGGEAR0 0.15.1 REQUIRED)
 FIND_PACKAGE(M REQUIRED)
-IF(WITH_LUA)
+
+list_contains(DEVICES "ryosmk;ryostkl;ryosmkfx" contains)
+IF(contains)
   FIND_PACKAGE(LUA ${WITH_LUA} EXACT REQUIRED)
 ENDIF()
 
@@ -94,9 +96,9 @@
   "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
 )
 
-SET(V_MAJOR 3)
-SET(V_MINOR 6)
-SET(V_PATCH 1)
+SET(V_MAJOR 5)
+SET(V_MINOR 9)
+SET(V_PATCH 0)
 
 ENABLE_TESTING()
 
@@ -125,35 +127,11 @@
     DEPENDS
       ${CMAKE_CURRENT_SOURCE_DIR}/${name}_dbus_services.xml
   )
-  
+
   ADD_CUSTOM_TARGET(${name}_dbus_bindings ALL
     DEPENDS
       ${CMAKE_CURRENT_BINARY_DIR}/${name}_dbus_server_glue.h
       ${CMAKE_CURRENT_BINARY_DIR}/${name}_dbus_plain_services.h
-  )
-ENDMACRO()
-
-MACRO(add_compiled_lua name dest)
-  ADD_CUSTOM_COMMAND(
-    OUTPUT
-      ${CMAKE_CURRENT_BINARY_DIR}/${name}.lc
-    COMMAND luac -o ${CMAKE_CURRENT_BINARY_DIR}/${name}.lc ${CMAKE_CURRENT_SOURCE_DIR}/${name}.lua
-    DEPENDS
-      ${CMAKE_CURRENT_SOURCE_DIR}/${name}.lua
-  )
-  
-  STRING(REPLACE "/" "_" _TARGET_NAME ${CMAKE_CURRENT_SOURCE_DIR}_${name}.lc)
-
-  ADD_CUSTOM_TARGET(${_TARGET_NAME} ALL
-    DEPENDS
-      ${CMAKE_CURRENT_BINARY_DIR}/${name}.lc
-  )
-  
-  INSTALL(FILES
-    ${CMAKE_CURRENT_SOURCE_DIR}/${name}.lua
-    ${CMAKE_CURRENT_BINARY_DIR}/${name}.lc
-    DESTINATION ${dest}
-    PERMISSIONS OWNER_WRITE OWNER_READ GROUP_READ WORLD_READ
   )
 ENDMACRO()

=== kone/CMakeLists.txt ===
list_contains(DEVICES kone contains)
IF(contains)
  add_dbus_bindings(kone)

  INCLUDE_DIRECTORIES(
    ${CMAKE_SOURCE_DIR}/kone/libroccatkone
    ${CMAKE_BINARY_DIR}/kone
  )

  ADD_SUBDIRECTORY(libroccatkone)

  ADD_SUBDIRECTORY(roccatkoneconfig)
  ADD_SUBDIRECTORY(roccatkonecontrol)
  ADD_SUBDIRECTORY(libkoneeventhandler)
ENDIF()

=== konepure/CMakeLists.txt ===
list_contains(DEVICES "konepure;konepuremilitary;konepureoptical;konextdoptical" contains)
IF(contains)
  add_dbus_bindings(konepure)

  INCLUDE_DIRECTORIES(
    ${CMAKE_SOURCE_DIR}/koneplus/libroccatkoneplus
    ${CMAKE_SOURCE_DIR}/konextd/libroccatkonextd
    ${CMAKE_SOURCE_DIR}/konepure/libroccatkonepure
    ${CMAKE_BINARY_DIR}/konepure
  )

  ADD_SUBDIRECTORY(libroccatkonepure)
  ADD_SUBDIRECTORY(libroccatkonepurewidget)
ENDIF()

list_contains(DEVICES konepure contains)
IF(contains)
  ADD_SUBDIRECTORY(roccatkonepureconfig)
  ADD_SUBDIRECTORY(roccatkonepurecontrol)
  ADD_SUBDIRECTORY(libkonepureeventhandler)
  ADD_SUBDIRECTORY(libkonepuregfxplugin)
ENDIF()

=== kova2016/CMakeLists.txt ===
list_contains(DEVICES kova2016 contains)
IF(contains)
  add_dbus_bindings(kova2016)

  INCLUDE_DIRECTORIES(
    ${CMAKE_SOURCE_DIR}/kova2016/libroccatkova2016
    ${CMAKE_BINARY_DIR}/kova2016
  )
  
  ADD_SUBDIRECTORY(libroccatkova2016)
  ADD_SUBDIRECTORY(roccatkova2016control)
  ADD_SUBDIRECTORY(roccatkova2016config)
  ADD_SUBDIRECTORY(libkova2016eventhandler)
  ADD_SUBDIRECTORY(libkova2016gfxplugin)
ENDIF()

=== nyth/CMakeLists.txt ===
list_contains(DEVICES nyth contains)
IF(contains)
  add_dbus_bindings(nyth)

  INCLUDE_DIRECTORIES(
    ${CMAKE_SOURCE_DIR}/nyth/libroccatnyth
    ${CMAKE_BINARY_DIR}/nyth
  )
  
  ADD_SUBDIRECTORY(libroccatnyth)
  ADD_SUBDIRECTORY(roccatnythcontrol)
  ADD_SUBDIRECTORY(roccatnythconfig)
  ADD_SUBDIRECTORY(libnytheventhandler)
  ADD_SUBDIRECTORY(libnythgfxplugin)
ENDIF()

=== po/CMakeLists.txt ===
FILE(GLOB_RECURSE _GETTEXT_SOURCES_REL RELATIVE ${CMAKE_SOURCE_DIR} ${CMAKE_SOURCE_DIR}/*.c)

# Resulting files of targets gettext_template and gettext_translation_* are part
# of the source distribution and are to be created/updated explicitly by developers.
# mo files are created automatically as part of the compilation/installation process.

# After a new po file has been created, please change charset to UTF-8.

# Build portable object template
ADD_CUSTOM_TARGET(gettext_template
  # charset in resulting .pot is not set to UTF-8 if sources use only ascii chars.
  xgettext --default-domain=${CMAKE_PROJECT_NAME}
  --output=${CMAKE_CURRENT_SOURCE_DIR}/${CMAKE_PROJECT_NAME}.pot --sort-output
  --keyword --keyword=_ --keyword=N_ --keyword=C_:1c,2 --keyword=NC_:1c,2
  --from-code=UTF-8 --language=C
  --package-name=${CMAKE_PROJECT_NAME} --package-version=${V_MAJOR}.${V_MINOR}.${V_PATCH}
  ${_GETTEXT_SOURCES_REL}
  WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
)

FOREACH(language ${TRANSLATION_LANGUAGES})
  # Build portable object
  ADD_CUSTOM_TARGET(gettext_translation_${language}
    if [ -e ${CMAKE_CURRENT_SOURCE_DIR}/${language}.po ]\; then
      # Not using --update option for msgmerge because timestamp is not updated
      # when nothing changed.
      msgmerge --no-fuzzy-matching ${CMAKE_CURRENT_SOURCE_DIR}/${language}.po ${CMAKE_CURRENT_SOURCE_DIR}/${CMAKE_PROJECT_NAME}.pot --output-file=${CMAKE_CURRENT_SOURCE_DIR}/${language}.po\;
    else
      msginit --locale=${language} --input=${CMAKE_CURRENT_SOURCE_DIR}/${CMAKE_PROJECT_NAME}.pot --output-file=${CMAKE_CURRENT_SOURCE_DIR}/${language}.po\;
    fi
  )

  # Build machine object
  ADD_CUSTOM_COMMAND(
    OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/${language}.mo
    COMMAND msgfmt ${CMAKE_CURRENT_SOURCE_DIR}/${language}.po --output-file=${CMAKE_CURRENT_BINARY_DIR}/${language}.mo
    DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/${language}.po
  )

  ADD_CUSTOM_TARGET(gettext_mo_${language} ALL
    DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/${language}.mo
  )

  INSTALL(FILES ${CMAKE_CURRENT_BINARY_DIR}/${language}.mo
    DESTINATION share/locale/${language}/LC_MESSAGES
    RENAME ${CMAKE_PROJECT_NAME}.mo
  )  
ENDFOREACH()

UNSET(_GETTEXT_SOURCES_REL)

=== pyra/CMakeLists.txt ===
list_contains(DEVICES pyra contains)
IF(contains)
  add_dbus_bindings(pyra)

  INCLUDE_DIRECTORIES(
    ${CMAKE_SOURCE_DIR}/pyra/libroccatpyra
    ${CMAKE_BINARY_DIR}/pyra
  )

  ADD_SUBDIRECTORY(libroccatpyra)

  ADD_SUBDIRECTORY(roccatpyraconfig)
  ADD_SUBDIRECTORY(roccatpyracontrol)
  ADD_SUBDIRECTORY(libpyraeventhandler)
ENDIF()

=== ryosmk/CMakeLists.txt ===
list_contains(DEVICES "ryosmk;ryostkl;ryosmkfx" contains)
IF(contains)
  add_dbus_bindings(ryosmk)

  INCLUDE_DIRECTORIES(
    ${CMAKE_SOURCE_DIR}/ryosmk/libroccatryosmk
    ${CMAKE_BINARY_DIR}/ryosmk
  )

  ADD_SUBDIRECTORY(libroccatryosmk)
  ADD_SUBDIRECTORY(libroccatryosmkwidget)

  IF(LUA_FOUND)
    ADD_SUBDIRECTORY(effect_modules)
  ENDIF()
ENDIF()

list_contains(DEVICES ryosmk contains)
IF(contains)
  ADD_SUBDIRECTORY(roccatryosmkconfig)
  ADD_SUBDIRECTORY(roccatryosmkcontrol)
  ADD_SUBDIRECTORY(libryosmkeventhandler)
ENDIF()

=== sounds/CMakeLists.txt ===
# Soundfile conversions:
# oggenc --resample 44100 -q5 *.wav
# mmv "*.ogg" "#1.oga"

INSTALL(DIRECTORY cpi live_recording profile sensitivity timer typing
  DESTINATION share/roccat/sounds
)

INSTALL(FILES sleep.oga wakeup.oga
  DESTINATION share/roccat/sounds
)

=== suora/CMakeLists.txt ===
list_contains(DEVICES suora contains)
IF(contains)
  add_dbus_bindings(suora)

  INCLUDE_DIRECTORIES(
    ${CMAKE_SOURCE_DIR}/suora/libroccatsuora
    ${CMAKE_BINARY_DIR}/suora
  )

  ADD_SUBDIRECTORY(libroccatsuora)
  
  ADD_SUBDIRECTORY(roccatsuoraconfig)
  ADD_SUBDIRECTORY(roccatsuoracontrol)
  ADD_SUBDIRECTORY(libsuoraeventhandler)
ENDIF()

=== udev/CMakeLists.txt ===
FOREACH(device ${DEVICES})
  INSTALL(FILES 90-roccat-${device}.rules
    DESTINATION ${UDEVDIR}
    PERMISSIONS OWNER_WRITE OWNER_READ GROUP_READ WORLD_READ
  )
ENDFOREACH()

=== isku/roccatiskucontrol/CMakeLists.txt ===
ADD_EXECUTABLE(roccatiskucontrol iskucontrol.c)

TARGET_LINK_LIBRARIES(roccatiskucontrol
  libroccatisku
  libroccat
  ${GLIB2_LIBRARIES}
)

INSTALL(TARGETS roccatiskucontrol
  DESTINATION bin
  PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE
)

ADD_SUBDIRECTORY(man)

=== debian/changelog ===
roccat-tools (5.9.0-1~mx19) mx; urgency=medium

  * Rebuild for MX-19

 -- Timothy E. Harris <maintainer@mxrepo.com>  Sat, 14 Nov 2020 11:18:33 -0500

roccat-tools (5.9.0-1-ppa1~bionic1) bionic; urgency=low

   * Improved: Lua (the language) finder now handles version and release numbers
   * Improved: Specfile
   * Improved: RyosMKFX better gamma correction
   * Added: RyosMKFX notification settings
   * Fixed: RyosMKFX false modified profiles leading to unnecessary writes
   * Fixed: Sova & Skeltr add new profile lost settings
   * Fixed: Sova open application opened driver instead
   * Fixed: Double audio notification on profile change when configuration GUI is running

 -- Arturo Casal <berfenger@bfgnet.net>  Wed, 17 Apr 2019 11:19:11 +0000

=== debian/control ===
Source: roccat-tools
Section: utils
Priority: optional
Maintainer: Arturo Casal <berfenger@bfgnet.net>
Build-Depends: debhelper (>=9), gcc, cmake, libcanberra-dev, libdbus-glib-1-dev, libgtk2.0-dev, libgudev-1.0-dev, libnotify-dev, libx11-dev, gettext, libsqlite3-dev, lua5.2, liblua5.2-dev, libgaminggear-dev (>= 0.15.1)
Homepage: http://roccat.sourceforge.net

Package: roccat-tools
Architecture: any
Depends: bash, libcanberra0, libdbus-glib-1-2, libgtk2.0-0, libgudev-1.0-0, libnotify4, libx11-6, liblua5.2-0, libgaminggear0 (>= 0.15.1)
Description: Roccat Tools is a bunch of utilities designed 
 to configure Roccat mice and keyboards
 .
 Supported mice: kone, koneplus, konepure,
 konepureoptical, konepuremilitary, konextd, 
 konextdoptical, kova2016, lua, pyra, savu, 
 tyon, kiro
 .
 Supported keyboards: arvo, isku, iskufx, 
 ryos mk, ryos mk pro, ryos mk fx,
 ryos tkl pro

=== debian/rules ===
#!/usr/bin/make -f

BUILDDIR = build_dir

# secondly called by launchpad
build:
	mkdir $(BUILDDIR);
	cd $(BUILDDIR); cmake -DCMAKE_INSTALL_PREFIX=/usr -DWITH_LUA=5.2 ..;
	make -C $(BUILDDIR)

# thirdly called by launchpad
binary: binary-indep binary-arch

binary-indep:
	# nothing to be done

binary-arch:
	dh_testdir -a
	dh_testroot -a
	# Copy built binaries
	cd $(BUILDDIR); export DESTDIR=../debian/tmp; cmake -P cmake_install.cmake
	# UDEV Rules
	#mkdir -p debian/tmp/etc/udev/rules.d/
	#cp udev/*.rules debian/tmp/etc/udev/rules.d/
	rm -rf debian/tmp/lib/udev
	
	# New files
	cp roccat_mouse_launcher debian/tmp/usr/bin/
	cp roccat_keyboard_launcher debian/tmp/usr/bin/
	cp roccat-mouse-launcher.desktop debian/tmp/usr/share/applications/
	cp roccat-keyboard-launcher.desktop debian/tmp/usr/share/applications/
	mkdir -p debian/tmp/var/lib/roccat
	cp device_config debian/tmp/var/lib/roccat/.device_config
	
	# Deb package
	dh_link -a
	dh_installchangelogs -a
	dh_installdocs -a
	dh_installudev -a --priority=90
	dh_install --sourcedir=debian/tmp -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -proccat-tools
	

# firstly called by launchpad
clean:
	rm -f build
	rm -rf $(BUILDDIR)

.PHONY: binary binary-arch binary-indep clean
